local lg, li = love.graphics, love.image

local testData = li.newImageData(256, 256)
local testImg = lg.newImage(testData)

local shader = lg.newShader([[
	uniform Image white;

	vec4 effect(vec4 col, Image tex, vec2 uv, vec2 fc) {
		return Texel(white, uv) * Texel(tex, uv);
	}
]])

function love.keypressed(key)
	if key == 'space' then
		lg.setShader(not lg.getShader() and shader or nil)
	end
end

function love.draw()
	testData:mapPixel(function(x, y)
		local r = (love.timer.getTime() + x * .01) % 1
		return r, r, r, 1
	end)
	testImg:replacePixels(testData)
	lg.draw(testImg)
end
